import { PaginatedList, PaginatedListLoadInfo, PaginatedListRequest } from '../model/PaginatedList';
import { ScrollType } from '../config/uiComponentConfig';
declare const _default: <T extends unknown>(__VLS_props: {
    list?: PaginatedList<T> | undefined;
    listKey?: string | undefined;
    page?: number | undefined;
    visiblePageCount?: number | undefined;
    skeletonCount?: number | undefined;
    itemContainerClass?: string | undefined;
    skeletonContainerClass?: string | undefined;
    paginationClass?: string | undefined;
} & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, __VLS_ctx?: Pick<{
    props: {
        list?: PaginatedList<T> | undefined;
        listKey?: string | undefined;
        page?: number | undefined;
        visiblePageCount?: number | undefined;
        skeletonCount?: number | undefined;
        itemContainerClass?: string | undefined;
        skeletonContainerClass?: string | undefined;
        paginationClass?: string | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: {
        skeleton?(_: {
            key: number;
        }): any;
        empty?(_: {}): any;
        default?(_: {
            listItem: T;
        }): any;
    };
    emit: {
        (e: 'listLoaded', loadInfo: PaginatedListLoadInfo, scrollType: ScrollType): void;
        (e: 'pageChanged', request: PaginatedListRequest, scrollType: ScrollType): void;
    };
}, "slots" | "attrs" | "emit"> | undefined, __VLS_setup?: Promise<{
    props: {
        list?: PaginatedList<T> | undefined;
        listKey?: string | undefined;
        page?: number | undefined;
        visiblePageCount?: number | undefined;
        skeletonCount?: number | undefined;
        itemContainerClass?: string | undefined;
        skeletonContainerClass?: string | undefined;
        paginationClass?: string | undefined;
    };
    expose(exposed: {}): void;
    attrs: any;
    slots: {
        skeleton?(_: {
            key: number;
        }): any;
        empty?(_: {}): any;
        default?(_: {
            listItem: T;
        }): any;
    };
    emit: {
        (e: 'listLoaded', loadInfo: PaginatedListLoadInfo, scrollType: ScrollType): void;
        (e: 'pageChanged', request: PaginatedListRequest, scrollType: ScrollType): void;
    };
}>) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> & {
    __ctx?: {
        props: {
            list?: PaginatedList<T> | undefined;
            listKey?: string | undefined;
            page?: number | undefined;
            visiblePageCount?: number | undefined;
            skeletonCount?: number | undefined;
            itemContainerClass?: string | undefined;
            skeletonContainerClass?: string | undefined;
            paginationClass?: string | undefined;
        };
        expose(exposed: {}): void;
        attrs: any;
        slots: {
            skeleton?(_: {
                key: number;
            }): any;
            empty?(_: {}): any;
            default?(_: {
                listItem: T;
            }): any;
        };
        emit: {
            (e: 'listLoaded', loadInfo: PaginatedListLoadInfo, scrollType: ScrollType): void;
            (e: 'pageChanged', request: PaginatedListRequest, scrollType: ScrollType): void;
        };
    } | undefined;
};
export default _default;
