import { Router } from "vue-router";
declare class RouteContext {
    private fullPath?;
    private type?;
    private direction?;
    update(fullPath: string, type?: string, direction?: string): void;
    clearIfOtherPath(fullPath: string): void;
    fromBackOrForward(): boolean;
    getType(): 'pop' | 'push' | undefined;
    getDirection(): 'back' | 'forward' | undefined;
}
export declare const routeContext: RouteContext;
export declare const initializeRouteContext: (router: Router) => void;
export {};
