declare const _default: import("vue").DefineComponent<{
    scrollTo: {
        type: import("vue").PropType<string | object>;
    };
    scrollBehavior: {
        type: import("vue").PropType<"auto" | "smooth">;
        default: string;
    };
    offset: {
        type: import("vue").PropType<number>;
        default: number;
    };
    totalCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    maxPage: {
        type: import("vue").PropType<number>;
    };
}, {
    totalPage: import("vue").ComputedRef<number>;
    currentPage: import("vue").ComputedRef<number>;
    currentSetFirstPage: import("vue").ComputedRef<number>;
    currentSetLastPage: import("vue").ComputedRef<number>;
    visiblePages: import("vue").ComputedRef<any[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    pageChanged: (page: number) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    scrollTo: {
        type: import("vue").PropType<string | object>;
    };
    scrollBehavior: {
        type: import("vue").PropType<"auto" | "smooth">;
        default: string;
    };
    offset: {
        type: import("vue").PropType<number>;
        default: number;
    };
    totalCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    limit: {
        type: import("vue").PropType<number>;
        default: number;
    };
    visiblePageCount: {
        type: import("vue").PropType<number>;
        default: number;
    };
    maxPage: {
        type: import("vue").PropType<number>;
    };
}>> & {
    onPageChanged?: ((page: number) => any) | undefined;
}, {
    scrollBehavior: "auto" | "smooth";
    offset: number;
    totalCount: number;
    limit: number;
    visiblePageCount: number;
}, {}>;
export default _default;
